image: debian/bookworm
packages:
  - wget
  - tar
  - zstd
  - gpg
  - clang
  - lld
  - xz
  - wine
  - cmake
  - ncurses
  - qtbase5-dev
  - qttools5-dev-tools
sources:
  - https://hg.sr.ht/~mrpapersonic/minori
  - https://github.com/holyblackcat/quasi-msys2
environment:
  BUILD_SUBMITTER: hg.sr.ht
tasks:
  - build: |
      cd quasi-msys2
      echo MINGW32 >msystem.txt
      make install _gcc _qt5-base _qt5-tools _curl
      cd ../minori
      mkdir build
      cd build
      sudo mount binfmt_misc -t binfmt_misc /proc/sys/fs/binfmt_misc
      sudo bash -c 'echo -n 1 >/proc/sys/fs/binfmt_misc/status'
      bash -c 'source ../../quasi-msys2/env/all.src && export AUTOMOC_EXECUTABLE="$(which moc)" && export AUTORCC_EXECUTABLE="$(which rcc)" && cmake .. -G "Unix Makefiles" && make'
triggers:
  - action: email
    condition: failure
    to: Paper <mrpapersonic@gmail.com>
